using System.Runtime.InteropServices;
using System.Security.Cryptography;
using UnityEngine;

namespace FastArena
{
    internal struct Hash256
    
    [StructLayout(LayoutKind.Sequential)]
    internal readonly struct ConnectionRequestTCP
    {
        internal readonly PacketHeader header;
        private SHA256 _sha256;
        
        public ConnectionRequestTCP()
        {
            header = new PacketHeader(PacketType.ConnectionRequestTCP);
            
        }
    }
}